Subject: Re: bug#25752: go incremental builds broken

From: Maxime Devos <[email-masked]>
Date: Thu, 27 Oct 2022 12:21:32 +0200

On 26-10-2022 22:42, zimoun wrote:
> Hi,
> 
> On Tue, 14 Sep 2021 at 12:43, zimoun <[email-masked]> wrote:
>> On Fri, 18 Dec 2020 at 16:31, Leo Famulari <[email-masked]> wrote:
>>> On Fri, Dec 18, 2020 at 09:00:14PM +0100, zimoun wrote:
>>>> I suspect closing this bug had been forgotten.  If yes, feel free to
>>>> close it.  Otherwise, I do not understand what is the next actionable
>>>> step.
>>>
>>> I don't think this bug has been fixed, although I have not checked.
>>> Currently, Go incremental builds and library re-use is not functional in
>>> Guix, unless I missed a new development.
>>
>> What is the status of this bug?  Since I am not using Go at all, it is
>> hard for me to have a reproducer.  Is it possible to provide a
>> reproducer?  Thanks. [...]

A reproducer was given in
<https://issues.guix.gnu.org/25752#0>:

guix environment --ad-hoc go -- bash -c 'export t=$(mktemp -d); cd
$t && export GOPATH=$(pwd) GOBIN=$(pwd)/bin && go install cmd/go; cd
&& rm -rf $t'

guix environment --ad-hoc go -- bash -c 'export t=$(mktemp -d); cd
$t && export GOPATH=$(pwd) GOBIN=$(pwd)/bin && go list -f '\''{{join
.Deps "\n"}}'\'' cmd/go | xargs -n1 go list -f '\''{{if
.Stale}}{{.ImportPath}}: {{.StaleReason}}{{end}}'\''; cd && rm -rf $t'

I don't know if this reproducer still works/fails.

Greetings,
Maxime.